if [ $1 == 'clean' ]
then
    rm -r ./compiled/*
    rm ConnectFour.jar
else
    mkdir ./compiled
    cd ./compiled
    find ../../src -name "*.java" > sources.txt
    javac -d ./ @sources.txt
    find ./ -name "*.class" > compiledSources.txt
    cp find ../../src -name "res" ./ >> compiledSources.txt
    jar cvmf ../../MANIFEST.MF ../ConnectFour.jar @compiledSources.txt
fi
